package net.sf.sit.candidate;

import java.lang.reflect.Method;
import java.util.Collection;

import net.sf.sit.support.Candidate;

/**
 * Selects candidates for a given facade method from the providers.
 */
public interface Selector {

	/**
	 * Select candidates for a given facade method from the providers.
	 * 
	 * @param providers
	 *            Providers
	 * @param facadeMethod
	 *            Facade method
	 * @return Candidates
	 */
	Collection<Candidate> select(Collection<Object> providers,
			Method facadeMethod);

}
