package net.sf.sit.candidate.impl;

import java.lang.reflect.Method;

import net.sf.sit.candidate.Matcher;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Simple matcher that matches by the name of the method.
 */
public class MethodNameMatcher implements Matcher {

	private final Logger log = LoggerFactory.getLogger(MethodNameMatcher.class);

	public boolean matches(Method facadeMethod, Method candidateMethod) {
		String candidateName = candidateMethod.getName();
		String facadeName = facadeMethod.getName();
		boolean matches = candidateName.equals(facadeName);
		log.trace("Candidate method {} matches facade method {}: {}",
				new Object[] { candidateName, facadeName, matches });
		return matches;
	}

}
