package net.sf.sit.dozer.converter;

import org.dozer.CustomConverter;

/**
 * Dozer custom converter to convert between two different enumerations.
 * <p>
 * Values with equivalent String representations are converted.
 */
public class EnumToEnumConverter implements CustomConverter {

	@SuppressWarnings({ "unchecked", "rawtypes" })
	public Object convert(Object existingDestinationFieldValue,
			Object sourceFieldValue, Class destinationClass, Class sourceClass) {
		if (null == sourceFieldValue)
			return null;
		if (Enum.class.isAssignableFrom(sourceClass)
				&& Enum.class.isAssignableFrom(destinationClass)) {
			return Enum.valueOf((Class<Enum>) destinationClass,
					sourceFieldValue.toString());
		}
		return null;
	}

}
