package net.sf.sit.exception;

import java.lang.reflect.Method;

/**
 * Handles exceptions thrown when invoking a candidate method or validation.
 */
public interface ExceptionHandler {

	/**
	 * Handle an exception thrown from invocation of a candidate method or
	 * validation.
	 * 
	 * @param e
	 *            Exception to handle
	 * @param facadeMethod
	 *            Facade method proxied
	 * @throws Exception
	 *             Possibly (re-)throw an exception
	 */
	void handleException(Exception e, Method facadeMethod) throws Exception;

}
