package net.sf.sit.exception.impl;

import java.lang.reflect.Method;

import net.sf.sit.exception.ExceptionHandler;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Exception handler that re-throws the exception.
 */
public class RethrowExceptionHandler implements ExceptionHandler {

	private final Logger log = LoggerFactory
			.getLogger(RethrowExceptionHandler.class);

	public void handleException(Exception e, Method facadeMethod)
			throws Exception {
		log.debug("Handling exception [{}] by rethrowing it", e.toString());
		throw e;
	}

}
