package net.sf.sit.exception.impl;

import java.lang.reflect.Method;

import net.sf.sit.exception.ExceptionHandler;
import net.sf.sit.exception.SitInvocationException;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Wraps exceptions into a runtime (unchecked) {@link SitInvocationException}.
 */
public class WrapAndThrowExceptionHandler implements ExceptionHandler {

	private final Logger log = LoggerFactory
			.getLogger(WrapAndThrowExceptionHandler.class);

	public void handleException(Exception e, Method facadeMethod)
			throws SitInvocationException {
		log.debug("Handling exception [{}] by wrapping it "
				+ "in SitInvocationException", e.toString());
		throw new SitInvocationException(facadeMethod.getName(), e);
	}

}
