package net.sf.sit.invoker;

import java.lang.reflect.Method;

/**
 * Invokes a method on a target object.
 */
public interface Invoker {

	/**
	 * Invoke method on target object.
	 * 
	 * @param method
	 *            Method to invoke
	 * @param target
	 *            Target object
	 * @param arguments
	 *            Method arguments
	 * @return Return result from the invoked method
	 * @throws Exception
	 *             Exception thrown from the invoked method
	 */
	Object invoke(Method method, Object target, Object[] arguments)
			throws Exception;

}
