package net.sf.sit.invoker.impl;

import java.lang.reflect.Method;

import net.sf.sit.invoker.Invoker;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Invokes a method on a target object.
 */
public class DefaultInvoker implements Invoker {

	private final Logger log = LoggerFactory.getLogger(DefaultInvoker.class);

	public Object invoke(Method method, Object target, Object[] arguments)
			throws Exception {
		log.info("Invoking method {}", method);
		log.debug("With arguments {}", arguments);
		Object result = method.invoke(target, arguments);
		log.info("Returning from method {}", method);
		log.debug("With result {}", result);
		return result;
	}

}
