package net.sf.sit.validator;

import java.lang.reflect.Method;

import javax.validation.ConstraintViolationException;

/**
 * Validates method arguments.
 */
public interface Validator {

	/**
	 * Validate method arguments.
	 * 
	 * @param facadeMethod
	 *            Method being invoked
	 * @param arguments
	 *            Method arguments
	 * @throws ConstraintViolationException
	 *             On validation failure
	 */
	void validate(Method facadeMethod, Object... arguments)
			throws ConstraintViolationException;

}
