package net.sf.sit.validator.impl;

import java.util.ArrayList;
import java.util.Iterator;

import javax.validation.Path;

/**
 * A simplistic implementation of {@link Path} for argument validation
 * violations.
 */
public class ArgumentPath implements Path {

	ArrayList<Node> nodes;

	/**
	 * Default constructor.
	 * 
	 * @param argIndex
	 *            Argument's index
	 */
	public ArgumentPath(int argIndex) {
		nodes = new ArrayList<Path.Node>();
		nodes.add(new NodeImpl("argument[" + argIndex + "]"));
	}

	public Iterator<Node> iterator() {
		return nodes.iterator();
	}

	@Override
	public String toString() {
		return nodes.get(0).toString();
	}

}
