package net.sf.sit.values;

import java.lang.reflect.Method;

/**
 * Maps a source array of values to a target array of values.
 */
public interface Mapper {

	/**
	 * Map source array of values to target array of values.
	 * 
	 * @param values
	 *            Source array of values to map
	 * @param targetLength
	 *            Required target length of array
	 * @param targetMethod
	 *            Target method for which the mapping is performed
	 * @return Mapped, target array of values
	 */
	Object[] map(Object[] values, int targetLength, Method targetMethod);

}
